import { PureComponent } from "react";
import { SoftWidgetStadistic_DataInterface } from "../../interfaces/SoftWidgetStadistic_DataInterface";
export declare class SoftWidgetStadistic extends PureComponent<{
    isUp?: boolean;
    target: string;
    text: string;
    title: string;
    value: number | string;
    chartType?: string;
    data?: SoftWidgetStadistic_DataInterface;
}> {
    private chartRef;
    static defaultProps: {
        chartType: string;
    };
    constructor(props: any);
    componentDidMount(): void;
    render(): JSX.Element;
}
